updating

Topic Replies Activity
Trying to update OctoPrint on OctoPi 0.16 gives me an "AssertionError" about "assert have_directory_for_build", how do I solve this?
FAQ
1 November 6, 2019
OctoPrint tells me it can't run an update due to my Python environment being outdated, what do I do now?
FAQ
1 October 22, 2018
How can I roll back to an earlier version after an update?
FAQ
1 November 24, 2017
I'm running 1.3.6, I get an update error when trying to update to 1.3.9+!
FAQ
1 July 25, 2018
I can't install/uninstall a plugin, I get something about an "unexpected keyword argument 'async'"
FAQ
1 July 16, 2018
I'm running 1.2.7, I tried to update to a newer version via the software update plugin but I'm still on 1.2.7 after restart!
FAQ
1 November 23, 2017
I'm running 1.2.16, I tried to update to a newer version via the software update plugin but I get an error!
FAQ
1 November 23, 2017
How to use the release channels to help test release candidates 1 March 20, 2018
OctoPrint tells me I have an update available but I can't apply it
FAQ
1 November 24, 2017
I got some error about "no suitable distribution" during update and now my server won't start
FAQ
1 November 24, 2017